package emps.nieobiektowo;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Arrays;
import java.util.Scanner;

public class P1_WypiszDane {

	public static void main(String[] args) {
		// Jak odczytać dane z pliku emps.csv i wypisać dane z poszczególnych rekordów?
		
		try(Scanner scanner = new Scanner(new File("emps.csv"))) {
			while(scanner.hasNextLine()) {
				String linia = scanner.nextLine();
				// System.out.println(linia);
				String[] t = linia.split(";");
				// System.out.println(Arrays.toString(t));
				
				// wypisanie wybranych pól z rekordu:
				System.out.printf("Pracownik nr %s: %s %s (%s) zarabia %s\n",
						t[0], t[1], t[2], t[3], t[4]);
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
	}

}
